https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/requested-resourcesThis API performs an action on requested resources that are on the shelf in Alma
The library of the given circulation desk or department where the resources are located. Mandatory.
The circulation desk where the action is being performed. Mandatory.
Operation to be preformed on the list of given requests. Currently the only supported action is 'mark_reported'. Mandatory.
The location code. Optional.
The pickup institution. Optional.
Show reported results: Y/N. Optional.
Show printed results: Y/N. Optional.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/requested-resources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/requested-resourcesThis API performs an action on requested resources that are on the shelf in Alma
The library of the given circulation desk or department where the resources are located. Mandatory.
The circulation desk where the action is being performed. Mandatory.
Operation to be preformed on the list of given requests. Currently the only supported action is 'mark_reported'. Mandatory.
The location code. Optional.
The pickup institution. Optional.
Show reported results: Y/N. Optional.
Show printed results: Y/N. Optional.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/requested-resources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}